/*
** OpenURL - MUI preferences for openurl.library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Methods, attributes, dispatcher and instance data definitions for the
** PrefsWin Window.mui subclass.
*/

/**************************************************************************/

#define MUIM_PrefsWin_GetPrefs               (TAGBASE_PREFSWIN + 25)
#define MUIM_PrefsWin_StorePrefs             (TAGBASE_PREFSWIN + 26)
#define MUIM_PrefsWin_About                  (TAGBASE_PREFSWIN + 27)

struct MUIP_PrefsWin_GetPrefs                { ULONG MethodID; ULONG Defaults; };
struct MUIP_PrefsWin_StorePrefs              { ULONG MethodID; ULONG How; };
struct MUIP_PrefsWin_About                   { ULONG MethodID; };

#define MUIV_PrefsWin_StorePrefs_Save 0
#define MUIV_PrefsWin_StorePrefs_Use  1

/**************************************************************************/

SAVEDS ASM ULONG PrefsWin_Dispatcher(REG(a0) struct IClass *cl, REG(a2) Object *obj, REG(a1) Msg msg);

/**************************************************************************/

struct PrefsWin_Data
{
	Object *RegisterGrpObj;
	Object *BrowserLstObj;
	Object *MailerLstObj;

	Object *PreHTTPChkObj;
	Object *MailtoChkObj;
	Object *ShowChkObj;
	Object *BringToFrontChkObj;
	Object *NewWindowChkObj;
	Object *LaunchChkObj;

	Object *SaveButObj;
	Object *UseButObj;
	Object *CancelButObj;

	ULONG   NotifiesAdded;
};
